gnome-common (3.18.0-5) unstable; urgency=medium

  * Team upload
  * d/control.in: Update Vcs-* files for migration to salsa.debian.org
  * Add a lintian override for script-with-language-extension.
    The name gnome-autogen.sh is part of the package's (deprecated)
    upstream API, and will not be changed.
  * d/control.in: Use recommended debhelper compat level 13
  * d/control.in: Drop unnecessary Build-Depends-Indep on autotools-dev
  * d/control.in: Declare that the build does not require root
  * d/p/debian/gnome-autogen.sh-Emit-a-deprecation-warning-for-the-scrip.patch:
    Add a deprecation warning to the beginning of gnome-autogen.sh

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Jun 2023 10:12:16 +0100

gnome-common (3.18.0-4) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Dec 2017 23:02:39 -0500

gnome-common (3.18.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark gnome-common Multi-Arch: foreign. (Closes: #842457)

  [ Michael Biebl ]
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Sun, 30 Oct 2016 01:38:22 +0200

gnome-common (3.18.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Convert from cdbs to dh.
  * Remove README.Debian as it contains a lot of outdated information.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Jul 2016 18:51:07 +0200

gnome-common (3.18.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Use --with-autoconf-archive configure flag
    - replaces manual removal of ax_*.m4 as done in previous version.
  * Bump Standards-Version to 3.9.6

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Oct 2015 18:24:32 +0200

gnome-common (3.14.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Drop AX_* macros, which are now in autoconf-archive. Depend on
    a new enough autoconf-archive instead. (Closes: #790936)

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jul 2015 13:46:18 +0200

gnome-common (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/00upstream_lcov-1.11.patch
    - new included in upstream release.
  * Remove debian/gnome-common.docs
    - usage.txt is now named README and is autoinstalled.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 24 Sep 2014 18:00:58 +0200

gnome-common (3.12.0-2) unstable; urgency=medium

  * Add 00upstream_lcov-1.11.patch: code-coverage: Support lcov 1.11.
    Cherry-picked from upstream git.
  * Bump Standards-Version to 3.9.5, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Thu, 10 Jul 2014 15:49:00 +0200

gnome-common (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 19:04:33 +0100

gnome-common (3.10.0-1) unstable; urgency=low

  * New upstream release.
    - Use autoreconf instead of running the individual tools manually. This
      also means gnome-autogen.sh no longer fails with newer automake
      versions. Closes: #722231
  * Drop debian/patches/02_autogen_required_versions.patch, it no longer
    applies and the minimum required versions are available since a very long
    time now.
  * Wrap dependencies.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Sep 2013 13:11:33 +0200

gnome-common (3.7.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Sat, 01 Jun 2013 11:04:10 +0200

gnome-common (3.6.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 26 May 2013 00:33:25 +0200

gnome-common (3.6.0-1) experimental; urgency=low

  * New upstream release
  * Refreshed debian/patches/02_autogen_required_versions.patch.
  * debian/patches/03_bashisms.patch:
  - removed; applied upstream

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 10 Dec 2012 11:36:26 +0100

gnome-common (3.4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches/03_bashisms.patch.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 May 2012 14:54:34 +0200

gnome-common (3.1.0-1) unstable; urgency=low

  [ Martin Pitt ]
  * debian/watch: Switch to *.xz

  [ Michael Biebl ]
  * New upstream release.
  * debian/watch: Track unstable releases.
  * debian/control.in: Add Vcs-* fields.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.3.
  * Bump mimimum required version of automake to 1.11.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 20:11:22 +0100

gnome-common (2.34.0-1) unstable; urgency=low

  * Add dependency on autopoint.
  * New upstream release.
  * Switch to 3.0 (quilt) source format.

 -- Josselin Mouette <joss@debian.org>  Fri, 22 Apr 2011 00:11:55 +0200

gnome-common (2.28.0-2) unstable; urgency=low

  * Set Maintainer to the GNOME team.
  * Bump Standards-Version to 3.9.1, with no changes needed.
  * Switch to Debhelper v7.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Oct 2010 13:57:02 +0200

gnome-common (2.28.0-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01_automake-1.11.patch:
      + Removed, fixed upstream.
  * debian/watch: Don't uupdate.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 10 Oct 2009 12:21:12 +0200

gnome-common (2.26.0-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/03_bashisms.patch: forwarded, add headers.

  [ Josselin Mouette ]
  * 01_automake-1.11.patch: new patch. Support automake 1.11.
    Closes: #541476.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Aug 2009 18:11:29 +0200

gnome-common (2.26.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Stop mentioning GNOME 2.

  [ Sebastian Dröge ]
  * New upstream stable release.
  * debian/control.in:
    + Update Standards-Version to 3.8.1.
    + Depend on automake instead of automake1.9 | automaken.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 06 Jun 2009 21:54:11 +0200

gnome-common (2.20.0-2) unstable; urgency=low

  [ Bas Wijnen ]
  * Fix bashisms in variable initialisations.
  * Avoid using AUTOMAKE_VERSION if it isn't defined.  This works around a
    bashism.  (closes: #378736)

 -- Loic Minier <lool@dooz.org>  Wed, 14 May 2008 19:25:04 +0200

gnome-common (2.20.0-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Sep 2007 10:41:07 +0200

gnome-common (2.18.0-1) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New upstream major stable release.
    - Update patch 02_autogen_required_versions.
  * Fix watch file and copyright URLs; track all stable releases and use HTTP.
  * Drop obsolete clean fixture.
  * Use debian/gnome-common.docs instead of DEB_INSTALL_DOCS_gnome-common.
  * Add ${misc:Depends}.

 -- Loic Minier <lool@dooz.org>  Mon, 09 Apr 2007 15:07:11 +0200

gnome-common (2.12.0-2) unstable; urgency=low

  * Bump up Standards-Version to 3.7.2.
    [debian/control, debian/control.in]
  * Clarify copyright versus license.
    [debian/copyright]
  * Simplify gnome-common depends.
    - Remove versionned dependencies always satisfied in testing and unstable.
      [debian/control, debian/control.in]
    - Change the automake dependency in automake1.9 | automaken.
      [debian/control, debian/control.in]
  * Move debhelper, cdbs, and gnome-pkg-tools from Build-Depends-Indep to
    Build-Depends.
    [debian/control, debian/control.in]
  * Bump Debhelper compatibility level to 5.
    [debian/compat, debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Thu, 15 Jun 2006 20:52:50 +0200

gnome-common (2.12.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: watch for 2.12 versions.
  * debian/patches/01_autogen_copy_files.patch: removed; fixed upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 18 Oct 2005 19:23:11 +0200

gnome-common (2.8.0-3) unstable; urgency=medium

  * debian/patches/01_autogen_copy_files.patch: use --force only
    if $REQUIRED_AUTOMAKE_VERSION != 1.4 (closes: #281063).

 -- Jordi Mallach <jordi@debian.org>  Sun, 14 Nov 2004 01:01:18 +0100

gnome-common (2.8.0-2) unstable; urgency=low

  * debian/patches/01_autogen_copy_files.patch: restore and update
    this patch so all the bootstrap tools use --copy and --force
    consistently (closes: #279841).

 -- Jordi Mallach <jordi@debian.org>  Sun,  7 Nov 2004 18:48:17 +0100

gnome-common (2.8.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Add automake1.8 and automake1.9 to the automake
    alternatives, as they are now supported (closes: #269024).
  * debian/patches/01_autogen_copy_files.patch: removed.
  * debian/patches/02_autogen_required_versions.patch: updated.
  * debian/rules: adjust for new filenames, and install usage.txt with the
    rest of the documentation.

 -- Jordi Mallach <jordi@debian.org>  Sat,  2 Oct 2004 17:35:30 +0200

gnome-common (2.4.0-3) unstable; urgency=low

  * debian/control.in: change automake depends to
    automake1.4 | automake1.7 | automake1.6, as depending on automaken is
    wrong because we don't handle automake1.8 or automake1.9 (this will be
    fixed in the next upload) (closes: #231915).

 -- Jordi Mallach <jordi@debian.org>  Sun, 19 Sep 2004 01:11:58 +0200

gnome-common (2.4.0-2) unstable; urgency=low

  * debian/control.in:
    + woops, add gnome-pkg-tools to build-deps too (closes: #232324).
    + change section to "gnome", to match the override file.
  * debian/changelog: remove old emacs variables.

 -- Jordi Mallach <jordi@debian.org>  Thu, 12 Feb 2004 17:23:58 +0100

gnome-common (2.4.0-1) unstable; urgency=low

  * New maintainer.
  * Acknowledge NMU (closes: #221843).
  * debian/control: moved to control.in.
  * debian/control.in:
    + set myself as primary maintainer, add the GNOME Team to Uploaders.
    + bump debhelper build-dep to (>= 4.1.0) and add cdbs.
  * debian/rules: convert to cdbs.
  * patches/01_autogen_copy_files.patch: new, imported from Debian's diff.gz.
  * patches/02_autogen_required_versions.patch: revert change to automake
    required version, as some GNOME packages haven't been fixed yet and
    fail with Debian's gnome-common (thanks Malcolm; closes: #229571).

 -- Jordi Mallach <jordi@debian.org>  Mon,  2 Feb 2004 19:14:26 +0100

gnome-common (2.4.0-0.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * New upstream release, which ends gnome-common's tour through Stone Age.
    + works with current GNOME CVS modules (closes: #221843).
    + groks configure.ac, at long last.
  * debian/control:
    + prefer automake1.7 to automaken, bump versions of gettext and libtool,
      and add intltool to depends.
    + make debhelper build-dep versioned for DH_COMPAT 3.
  * debian/rules: remove a few files that are left behind on clean.
  * macros2/autogen.sh:
    + bump required version of automake to >= 1.5, gettext to >= 0.11,
      intltool to >= 0.27.2.
    + call libtoolize and intltoolize with --copy.

 -- Jordi Mallach <jordi@debian.org>  Tue, 16 Dec 2003 15:22:14 +0100

gnome-common (1.2.4-4) unstable; urgency=low

  * change depend on automake to automaken (Closes: #168085).
  * add --copy at the automake calls in autogen.sh (Closes: #153988).
  * fixed compilerflags in gnome2-macros/compiler-flags.m4 (Closes: #167543).
  * fixed variables in gnome-macros/gnome-guile-checks.m4 (Closes: #168355).
  * added depend to gettext and changed gettextize to autopoint in autogen.sh
  	(Closes: #166490).
  * new explaination for using gettext in autogen.sh script (Closes: #166474).
  * add latest cvs ci from cvs.gnome.org to fix autoconf-2.52 brokeness,
    thnx for hint, Mark Howard (Closes: #178071).

 -- Jan-Hendrik Palic <jan.palic@linux-debian.de>  Tue,  3 Sep 2002 21:54:36 +0200

gnome-common (1.2.4-3) unstable; urgency=low

  * reincluded DH_COMPAT=3 in debian/rules (Closes: #135384).

 -- Jan-Hendrik Palic <jan.palic@linux-debian.de>  Sat, 23 Feb 2002 21:40:52 +0100

gnome-common (1.2.4-2) unstable; urgency=low

  * fix description again, thanks to Filip Van Raemdonck (Closes: #118895).
  * change to unversioned builddependency to debhelper and delete
    DH_COMPAT=3 in debian/rules, for building gnome-common on potato
    (Closes: #133895).

 -- Jan-Hendrik Palic <jan.palic@linux-debian.de>  Sat, 16 Feb 2002 18:46:12 +0100

gnome-common (1.2.4-1) unstable; urgency=low

  * new upstream (Closes: #129842).
  * fixes description (Closes: #118895, #124684).

 -- Jan-Hendrik Palic <jan.palic@linux-debian.de>  Fri, 18 Jan 2002 23:59:33 +0100

gnome-common (1.2.3-1) unstable; urgency=low

  * Initial Release (Closes: #100802).

 -- Jan-Hendrik Palic <jan.palic@linux-debian.de>  Fri, 26 Oct 2001 01:42:53 +0200
